/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.map.cache;

import java.awt.image.BufferedImage;

/**
 *
 * @author Frantisek Post
 */
public interface TileService {

    /**
     * Is tile, defined by param, provided by this service?
     * 
     * @param tileCacheInfo
     * @return 
     */
    boolean contains(TileCacheInfo tileCacheInfo);
    
    /**
     * Get tile image
     * 
     * @param tileCacheInfo
     * @return 
     */
    BufferedImage getTile(TileCacheInfo tileCacheInfo); 
    
}
